#ifdef PARAM_SET_VOX128
#define CRYPTO_PUBLICKEYBYTES   9104
#define CRYPTO_SECRETKEYBYTES   35120
#define CRYPTO_BYTES            102
#define CRYPTO_ALGNAME          "VOX-128"
#endif

#ifdef PARAM_SET_VOX192
#define CRYPTO_PUBLICKEYBYTES   30351
#define CRYPTO_SECRETKEYBYTES   111297
#define CRYPTO_BYTES            184
#define CRYPTO_ALGNAME          "VOX-192"
#endif

#ifdef PARAM_SET_VOX256
#define CRYPTO_PUBLICKEYBYTES   82400
#define CRYPTO_SECRETKEYBYTES   292160
#define CRYPTO_BYTES            300
#define CRYPTO_ALGNAME          "VOX-256"
#endif

#ifdef PARAM_SET_FULLVOX128
#define CRYPTO_PUBLICKEYBYTES   50257
#define CRYPTO_SECRETKEYBYTES   329653
#define CRYPTO_BYTES            124
#define CRYPTO_ALGNAME          "FOX-128"
#endif

#ifdef PARAM_SET_FULLVOX192
#define CRYPTO_PUBLICKEYBYTES   231137
#define CRYPTO_SECRETKEYBYTES   1404503
#define CRYPTO_BYTES            264
#define CRYPTO_ALGNAME          "FOX-192"
#endif

#ifdef PARAM_SET_FULLVOX192_ALT
#define CRYPTO_PUBLICKEYBYTES   183182
#define CRYPTO_SECRETKEYBYTES   1103912
#define CRYPTO_BYTES            186
#define CRYPTO_ALGNAME          "FOX-192-ALT"
#endif

#ifdef PARAM_SET_FULLVOX256
#define CRYPTO_PUBLICKEYBYTES   694908
#define CRYPTO_SECRETKEYBYTES   4182124
#define CRYPTO_BYTES            462
#define CRYPTO_ALGNAME          "FOX-256"
#endif

#ifdef PARAM_SET_FULLVOX256_ALT
#define CRYPTO_PUBLICKEYBYTES   450482
#define CRYPTO_SECRETKEYBYTES   2631053
#define CRYPTO_BYTES            249
#define CRYPTO_ALGNAME          "FOX-256-ALT"
#endif


int crypto_sign_keypair(unsigned char *pk, unsigned char *sk);

int crypto_sign(unsigned char *sm, unsigned long long *smlen,
                const unsigned char *m, unsigned long long mlen,
                const unsigned char *sk);

int crypto_sign_open(unsigned char *m, unsigned long long *mlen,
                     const unsigned char *sm, unsigned long long smlen,
                     const unsigned char *pk);
